* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
}

main {

    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.blogcreate {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    width: 40%;
    height: 50%;
    background-color: beige;
    justify-content: center;
    border-radius: 20px;
}

.blogcreate input {
    width: 250px;
    height: 40px;
    padding: 10px 10px;
    border-radius: 10px;
    border: 1px solid rgba(128, 128, 128, 0.286);

}

.blogcreate input:active {
    border: none;
}

.blogcreate button {
    width: 200px;
    height: 40px;
    font-size: 20px;
    background-color: brown;
    color: white;
    border: none;
    border-radius: 10px;
}

.blogcreate button:active {
    scale: 1.1;
}

.blogPost {
    width: 100%;
    height: auto;
    padding: 50px 50px;
    position: absolute;
    background-color: white;
    display: none;
    flex-wrap: wrap;
    gap: 20px;
}

.post {
    display: flex;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    width: 100%;
}

.seeBlogPost {
    width: 200px;
    height: 50px;
    background: #000;
    color: white;
    font-size: 15px;
}

.seeBlogPost:active {
    scale: 1.1;
}


.postcard {
    width: 300px;
    height: 300px;
    border: 1px solid rgba(0, 0, 0, 0.4);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    border-radius: 20px;
    overflow: hidden;

}

.postcard img {
    width: 100%;
    height: 50%;
    object-fit: cover;
}

.postcard .text-areaa {
    width: 100%;
    height: 50%;
    padding: 10PX 20PX;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.postcard .text-areaa h2 {
    text-transform: capitalize;
    font-size: 20px;
}

.postcard .text-areaa p {
    overflow: hidden;
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.close {
    width: 50px;
    height: 50px;
    background-color: rgb(131, 129, 129);
    border-radius: 50%;
    position: absolute;
    top: 50px;
    right: 50px;
    font-size: 20px;
    font-weight: 600;
    cursor: pointer;
    z-index: 99999;
}

.seeFullBlog {
    width: 150px;
    height: 40px;
    background: #000;
    color: white;
    border-radius: 10px;
    margin-top: 25px;
}